# -*- coding: UTF-8 -*-

'''Тестовый клиент для REST сервиса'''

import base64
import httplib2
import json
import sys
if sys.version_info.major == 3:
    from base64 import encodebytes as encodestring
else:
    from base64 import encodestring

http = httplib2.Http(".cache")
base64string = encodestring(str.encode('%s:%s' % ('admin', 'admin')))[:-1].decode()
authheader =  "Basic %s" % base64string
jsonHeader = {'Content-Type':'application/json', "Accept": "application/json", "Authorization": authheader}
method = 'POST'

# чтоб отправить запрос на загрузку сразу в БД, добавьте параметр directload
url = 'http://localhost:28080/aifexchange/loaddicts?abc=321&shopcode=_shop_1_94131ee9'

k = 5
dictionary = []
for i in range(k):
    command = {"command":"addInventItem", "invent":{ "deptCode":1, "measureCode":"796", "minPrice":0, "inventcode":"0000000007%s" % i, "isInventItem":True, "price":130+i,
            "taxGroupCode":2, "isInvent":True, "discAutoScheme":0, "barcode":"1111111%s" % i, "extendedOptions":"extendedOptions", "rtext":"rtext %s" % i, "name":"Товар %s" % i } }
    dictionary.append(command)


body = json.dumps(dictionary)
http.add_credentials('admin', 'admin')

print("Отправка запроса: %s.." % body[0:100])
try:
    
    response, content = http.request(url, method, headers=jsonHeader, body=body)
except Exception as e:
    print("Ошибка выполнения запроса: %s" % e)
    exit(1)    

print("Результат: %s" % response)
if response.status == 200:
    print(json.loads(content))
else:
    print(response, content)

